#ifndef _TESTKMEDIAN_H
#define _TESTKMEDIAN_H

#include <cppunit/extensions/HelperMacros.h>
#include "vislearning/math/cluster/KMedian.h"

/**
 * CppUnit-Testcase. 
 * @brief CppUnit-Testcase to verify that the KMedian-clusterin works correctly
 */
class TestKMedian : public CppUnit::TestFixture {

    CPPUNIT_TEST_SUITE( TestKMedian );
    
    CPPUNIT_TEST(testKMedianClustering);
    
    CPPUNIT_TEST(testKMedianPersistent);
    
    CPPUNIT_TEST_SUITE_END();
  
 private:
 
 public:
    void setUp();
    void tearDown();

    /**
    * Constructor / Destructor testing 
    */  
    void testKMedianClustering();
    
    void testKMedianPersistent();

};

#endif // _TESTKMEDIAN_H
